sun-java5-plugin sur etch

Le
manop
bonjour,

J'ai installé le java de sun, maintenant qu'il est opensource
(d'ailleurs je ne comprends pas qu'il soit dans non-free ??)
Ca marche bien, je travaille avec eclipse.

Sous iceweasel-firefox-mozilla je n'ai plus les applets java.
J'avais noté l'astuce de faire:
cd /usr/lib/firefox/plugins
ln -s
/usr/lib/jvm/java-1.5.0-sun-1.5.0.10/jre/plugin/i386/ns7/libjavaplugin_oji.so
(d'ailleurs y aurait pas un package qui fait ça, parceque les plugins
sous firefox c'est un peu nécessaire quand même)

mais je suis passé en AMD64, et la paquet
sun-java5-plugin ne se trouve que sous i386, pas en AMD64

j'ai mis alors le paquet java-gcj-compat-plugin qui existe en AMD64:
j'ai donc lié avec
/usr/lib/jvm/java-1.4.2-gcj-4.1-1.4.2.0/jre/lib/libgcjwebplugin.so
et ça marche.

et enfin ma question:
debian va-t-il rajouter ce paquet dans etch (quand il sera dispo), ou la
liste des paquets est irrémédiablement gravé dans le marbre pour
l'éternité ?

parce que les applets java (inférieures à 1.5 je pense) sont bien
exécutées (avec un superbe message de précaution), mais l'applet de
www.mypix.com/fr, par exemple n'est pas exécutées

merci de vos eclaircissements et solutions.
Emmanuel


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to debian-user-french-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Charles Plessy
Le #9542561
Le Sun, Apr 29, 2007 at 04:47:25PM +0200, manop a écrit :
bonjour,

J'ai installé le java de sun, maintenant qu'il est opensource
(d'ailleurs je ne comprends pas qu'il soit dans non-free ??)



Bonjour,

c'est parce que ce sont uniquement la prochaine version et les suivantes
qui seront libres.

Amicalement,

--
Charles Plessy
http://charles.plessy.org
Wako, Saitama, Japan


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
manop
Le #9542361
Charles Plessy wrote:
Le Sun, Apr 29, 2007 at 04:47:25PM +0200, manop a écrit :

bonjour,

J'ai installé le java de sun, maintenant qu'il est opensource
(d'ailleurs je ne comprends pas qu'il soit dans non-free ??)




Bonjour,

c'est parce que ce sont uniquement la prochaine version et les suivantes
qui seront libres.

Amicalement,




d'autre part, le package java-gcj-compat-plugin n'a pas l'air d'être au
point, il plante mon linux, je n'ai plus accès à rien, ni au ctrl alt
F1, il n'y a que alt syst + SUB qui marche...
vous avez des pb avec ce plugin ?


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Christophe Alonso
Le #9542191
Le dimanche 29 avril 2007 à 16:47 +0200, manop a écrit :
bonjour,

J'ai installé le java de sun, maintenant qu'il est opensource
(d'ailleurs je ne comprends pas qu'il soit dans non-free ??)
Ca marche bien, je travaille avec eclipse.

Sous iceweasel-firefox-mozilla je n'ai plus les applets java.
J'avais noté l'astuce de faire:
cd /usr/lib/firefox/plugins
ln -s
/usr/lib/jvm/java-1.5.0-sun-1.5.0.10/jre/plugin/i386/ns7/libjavaplugin_oji.so
(d'ailleurs y aurait pas un package qui fait ça, parceque les plugins
sous firefox c'est un peu nécessaire quand même)

mais je suis passé en AMD64, et la paquet
sun-java5-plugin ne se trouve que sous i386, pas en AMD64

j'ai mis alors le paquet java-gcj-compat-plugin qui existe en AMD64:
j'ai donc lié avec
/usr/lib/jvm/java-1.4.2-gcj-4.1-1.4.2.0/jre/lib/libgcjwebplugin.so
et ça marche.

et enfin ma question:
debian va-t-il rajouter ce paquet dans etch (quand il sera dispo), ou la
liste des paquets est irrémédiablement gravé dans le marbre pour
l'éternité ?

parce que les applets java (inférieures à 1.5 je pense) sont bien
exécutées (avec un superbe message de précaution), mais l'applet de
www.mypix.com/fr, par exemple n'est pas exécutées



aptitude install sun-java5-plugin, non ?

merci de vos eclaircissements et solutions.
Emmanuel



De rien, si ça peut aider.



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
manop
Le #9542131
>> mais je suis passé en AMD64, et la paquet
sun-java5-plugin ne se trouve que sous i386, pas en AMD64



aptitude install sun-java5-plugin, non ?




ça ne marche pas, il n'existe pas en AMD64.



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Christophe Alonso
Le #9542111
Le lundi 30 avril 2007 à 18:15 +0200, manop a écrit :
>> mais je suis passé en AMD64, et la paquet
>> sun-java5-plugin ne se trouve que sous i386, pas en AMD64
>>
> aptitude install sun-java5-plugin, non ?
>

ça ne marche pas, il n'existe pas en AMD64.



Oups, désolé un moment d'inattention...


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Publicité
Poster une réponse
Anonyme